Subject: Re: bug#6535: 24.0.50; grep seems not to work

From: Jan Djärv <[email-masked]>
Date: Tue, 29 Jun 2010 14:09:31 +0200

john ffitch skrev 2010-06-29 12.10:
> I run tcsh as I have done for ~25yrs.  I have never got on with
> bash/sh
>
> No terminal stuff in .login or .cshrc, only environment variables and
> aliases
>    If it matters this is OpenSuSE 11.2
>
> Emacs is started from a fvwm menu, not a terminal
> /home/jpff/GNU_21/emacs/trunk/src/emacs -lsp 2 -geometry 84x46+64+10 -fn "-etl-fixed-medium-r-normal--16-160-72-72-c-80-iso8859-1"
>

Ok, it is probably tsch.  Check if you have this in /etc/csh.cshrc, I have it 
on Suse 11.2:

#
# Avoid trouble with Emacs shell mode
#
if ($?EMACS) then
   setenv LS_OPTIONS '-N --color=none -T 0';
   path tset -I -Q
   path stty cooked pass8 dec nl -echo
# if ($?tcsh) unset edit
endif

You can force Emacs to use sh or bash if you customize shell-file-name.  I 
don't know if Emacs should be able to handle this.

	Jan D.